petsc-3.4.2 2013-07-02

# PetscSFCreate

create a star forest communication context

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCreate(MPI_Comm comm,PetscSF *sf)

Not Collective

### Input Arguments

comm -communicator on which the star forest will operate

### Output Arguments

sf -new star forest context

### See Also

PetscSFSetGraph(), PetscSFDestroy()

Level:intermediate
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html